<template>
  <div class="login">
    <div class="login-content">
      <img class="login-content--image" src="@/assets/img/lock.svg" alt="" />
      <p class="login-content--title title-h1">Connexion</p>
      <a-form name="normal_login" class="login-form" @submit.prevent="onSubmit">
        <a-form-item name="username">
          <label>Email</label>
          <a-input v-model:value="loginData.email" placeholder="Email">
            <template #prefix>
              <user-outlined />
            </template>
          </a-input>
        </a-form-item>

        <a-form-item name="password">
          <label>Mot de passe</label>
          <a-input-password
            v-model:value="loginData.password"
            placeholder="************"
          >
            <template #prefix>
              <lock-outlined />
            </template>
          </a-input-password>
        </a-form-item>
        <p class="login-content--text title">Mot de passe oublié</p>
        <a-form-item>
          <a-button type="primary" block html-type="submit">
            Se connecter
          </a-button>
        </a-form-item>
      </a-form>
    </div>
    <p class="login-footer title">
      En vous connectant, vous acceptez
      <span>nos conditions d'utilisation</span> et notre politique de
      confidentialité et de cookies.
    </p>
  </div>
</template>

<script setup lang="ts">
import { UserOutlined, LockOutlined } from '@ant-design/icons-vue';
import { useAuth, EActionsAuth } from '@/store/modules/auth';
import type { ELoginData } from '@/store/modules/auth';
import { useRouter } from 'vue-router';
import { reactive } from 'vue';
const auth = useAuth();
const router = useRouter();
let loginData: ELoginData = reactive({ email: '', password: '' });
const onSubmit = async () => {
  try {
    await auth[EActionsAuth.LOGIN](loginData);
    router.push({ name: 'index' });
  } catch (error) {
    console.log(error);
  }
};
</script>

<script lang="ts">
export default {
  name: 'LoginForm',
};
</script>

<style lang="scss" scoped>
.login {
  width: 450px;
  margin: 0 auto;
  text-align: center;
  .login-content {
    width: 77%;
    margin: 0 auto;
    &--image {
      margin-bottom: 36px;
      width: 40px;
      height: 40px;
    }
    &--title {
      margin-bottom: 40px;
    }
    &--text {
      margin-bottom: 24px;
      text-align: left;
      color: var(--main-blue);
    }
  }
  .login-footer {
    margin-top: 84px;
    color: var(--main-gray);
    span {
      color: var(--main-purple);
      cursor: pointer;
    }
  }
}
</style>
